public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-video/guvcview/
Date: Wed, 13 Mar 2024 04:46:44 +0000 (UTC)	[thread overview]
Message-ID: <1710305078.d8009cbf9952bad703cf3942d57e189425e0fbef.sam@gentoo> (raw)

commit:     d8009cbf9952bad703cf3942d57e189425e0fbef
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 13 04:44:01 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Mar 13 04:44:38 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8009cbf

media-video/guvcview: add 2.1.0

Upstream fixed COPYING in this release, and noted it in NEWS. They changed from
GPL3 -> GPL2 to match what the src files say.

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-video/guvcview/Manifest              |  1 +
 media-video/guvcview/guvcview-2.1.0.ebuild | 77 ++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/media-video/guvcview/Manifest b/media-video/guvcview/Manifest
index 3ea8c7147ed0..0e58ddb145ed 100644
--- a/media-video/guvcview/Manifest
+++ b/media-video/guvcview/Manifest
@@ -1 +1,2 @@
 DIST guvcview-src-2.0.8.tar.bz2 902736 BLAKE2B 3c4ced349a252f365d86dc30c5208d09372796cc6397a9643b31afb9904642c7a88481d6054b3523a4f9d037e69021ae84ced420364e69ab9e7f19fbc0b84c6a SHA512 ba959602bc5518426906786416e433cc8b6de1e0fd73b91378aa231ae4e469935921e87dd37827c3c6b409f0f9551e3e29d0cd3d30afd0e08ad3eb2e6bf5150a
+DIST guvcview-src-2.1.0.tar.bz2 775670 BLAKE2B e6f0fe87b1c44e00265228195b93bb5863170487fd1c3b9741667dc32295406bd920f44150efaecb42ab9396ec67897d3bef517e29ee788c2a6a8a6a95692f81 SHA512 f449e1b1623bb2a96847fc88c4e334ff5bde91f0f9779e37ccbd5777fb96ea4106c3df2c9c30f5d6cacf99e4da04815fc3b739387c2a8fb496c3080b1f99ab70

diff --git a/media-video/guvcview/guvcview-2.1.0.ebuild b/media-video/guvcview/guvcview-2.1.0.ebuild
new file mode 100644
index 000000000000..a1da179602af
--- /dev/null
+++ b/media-video/guvcview/guvcview-2.1.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=${PN}-src-${PV}
+inherit autotools qmake-utils toolchain-funcs
+
+DESCRIPTION="Simple Qt5 or GTK+3 interface for capturing and viewing video from v4l2 devices"
+HOMEPAGE="http://guvcview.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.bz2"
+S="${WORKDIR}/${PN}-src-${PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gsl pulseaudio qt5"
+
+BDEPEND="
+	dev-util/intltool
+	dev-build/autoconf-archive
+	sys-devel/gettext
+	virtual/pkgconfig
+"
+RDEPEND="
+	>=dev-libs/glib-2.10
+	media-libs/libpng:=
+	media-libs/libsdl2
+	media-libs/libv4l
+	>=media-libs/portaudio-19_pre
+	>=media-video/ffmpeg-2.8:=
+	virtual/libusb:1
+	virtual/udev
+	gsl? ( >=sci-libs/gsl-1.15:= )
+	pulseaudio? ( media-libs/libpulse )
+	qt5? (
+		dev-qt/qtcore:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+	)
+	!qt5? ( >=x11-libs/gtk+-3.6:3 )
+"
+# linux-headers: bug 448260
+DEPEND="
+	${RDEPEND}
+	>=sys-kernel/linux-headers-3.4-r2
+	virtual/os-headers
+"
+
+src_prepare() {
+	default
+
+	sed -i '/^docdir/,/^$/d' Makefile.am || die
+	echo "guvcview/gui_qt5_audioctrls.cpp" >> po/POTFILES.skip || die # bug #630984
+	eautoreconf
+}
+
+src_configure() {
+	export MOC="$(qt5_get_bindir)/moc"
+
+	# 599030
+	tc-export CC CXX
+
+	local myeconfargs=(
+		--disable-debian-menu
+		$(use_enable gsl)
+		$(use_enable pulseaudio pulse)
+		$(use_enable qt5)
+		$(use_enable !qt5 gtk3)
+	)
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -type f -delete || die
+}


             reply	other threads:[~2024-03-13  4:46 UTC|newest]

Thread overview: 31+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-03-13  4:46 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-27 23:22 [gentoo-commits] repo/gentoo:master commit in: media-video/guvcview/ Andreas Sturmlechner
2025-01-27 21:27 Sam James
2025-01-27 21:27 Sam James
2024-11-11 16:14 Andreas Sturmlechner
2024-11-10 21:11 Sam James
2024-11-10 16:03 Sam James
2022-11-12 17:48 Matt Turner
2022-09-03  5:27 Sam James
2022-09-03  5:27 Sam James
2022-07-12 13:09 Alexis Ballier
2021-08-01 18:27 Sam James
2021-06-02 22:36 Sam James
2020-05-21 19:36 Andreas Sturmlechner
2020-04-26 11:00 David Seifert
2020-04-25 20:22 Mikle Kolyada
2019-01-14 14:30 Mikle Kolyada
2019-01-09  1:36 Thomas Deutschmann
2019-01-06 19:29 Andreas Sturmlechner
2018-12-16 23:56 Andreas Sturmlechner
2018-12-16 23:53 Andreas Sturmlechner
2018-12-16 23:53 Andreas Sturmlechner
2017-06-15  9:54 Agostino Sarubbo
2017-06-15  8:34 Agostino Sarubbo
2017-02-09 13:27 Alexis Ballier
2017-02-09 13:27 Alexis Ballier
2016-12-29  3:17 Aaron Bauman
2016-12-29  3:03 Aaron Bauman
2016-09-28 16:52 Michael Palimaka
2016-08-29 13:24 Alexis Ballier
2016-03-04 10:58 Alexis Ballier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1710305078.d8009cbf9952bad703cf3942d57e189425e0fbef.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox